Package org.picocontainer.behaviors

# Class ThreadCached<T>

java.lang.Object
org.picocontainer.behaviors.AbstractBehavior<T>
org.picocontainer.behaviors.Stored<T>
org.picocontainer.behaviors.ThreadCached<T>

All Implemented Interfaces:
  `Serializable`, `Behavior<T>`, `ComponentAdapter<T>`, `ComponentLifecycle<T>`, `ComponentMonitorStrategy`, `LifecycleStrategy`

public final class ThreadCached<T> extends Stored<T>

This behavior supports caches values per thread.

Author:
  Paul Hammant
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.picocontainer.behaviors.Stored

`Stored.Instance<T>`

## Nested classes/interfaces inherited from interface org.picocontainer.ComponentAdapter

`ComponentAdapter.NOTHING`

## Field Summary

### Fields inherited from class org.picocontainer.behaviors.AbstractBehavior

`delegate`

## Constructor Summary

Constructors
Constructor
Description
`ThreadCached(ComponentAdapter<T> delegate)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescriptor()`
Get a string key descriptor of the component adapter for use in toString()

### Methods inherited from class org.picocontainer.behaviors.Stored

`componentHasLifecycle, dispose, flush, getComponentInstance, getLifecycleDescriptor, getStoredObject, isStarted, start, stop`

### Methods inherited from class org.picocontainer.behaviors.AbstractBehavior

`accept, changeMonitor, currentMonitor, dispose, findAdapterOfType, getComponentImplementation, getComponentInstance, getComponentKey, getDelegate, hasLifecycle, isLazy, start, stop, toString, verify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ThreadCached

public ThreadCached(ComponentAdapter<T> delegate)

## Method Details

### getDescriptor

public String getDescriptor()
Description copied from interface: `ComponentAdapter`
Get a string key descriptor of the component adapter for use in toString()

Specified by:
  `getDescriptor` in interface `ComponentAdapter<T>`
Overrides:
  `getDescriptor` in class `Stored<T>`
Returns:
  the descriptor